Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/AdministratorView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/AdministratorView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/AdministratorView.cs	(revision 13338)
@@ -104,5 +104,5 @@
 
     private void refreshButton_Click(object sender, EventArgs e) {
-      Content.RefreshAsync(new Action<Exception>((Exception ex) => ErrorHandling.ShowErrorDialog(this, "Refresh failed.", ex)));
+      Content.RefreshAsync(new Action<Exception>((Exception ex) => MainFormManager.MainForm.ShowError("Refresh failed.", ex)));
     }
   }
Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/AlgorithmView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/AlgorithmView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/AlgorithmView.cs	(revision 13338)
@@ -164,5 +164,5 @@
       }
       catch (Exception ex) {
-        ErrorHandling.ShowErrorDialog(this, "Store authorized users and groups failed.", ex);
+        MainFormManager.MainForm.ShowError( "Store authorized users and groups failed.", ex);
       }
     }
@@ -221,5 +221,5 @@
         }
         catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, "Create new algorithm data failed.", ex);
+          MainFormManager.MainForm.ShowError( "Create new algorithm data failed.", ex);
         }
         SetEnabledStateOfControls();
@@ -302,5 +302,5 @@
         Cursor = Cursors.Default;
         Enabled = true;
-        if (exception != null) ErrorHandling.ShowErrorDialog(this, errorMessage, exception);
+        if (exception != null) MainFormManager.MainForm.ShowError(errorMessage, exception);
         if (continueWith != null) continueWith();
       }
Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/OKBItemCollectionView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/OKBItemCollectionView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/OKBItemCollectionView.cs	(revision 13338)
@@ -40,5 +40,5 @@
       }
       catch (Exception ex) {
-        ErrorHandling.ShowErrorDialog(this, "Delete failed.", ex);
+        MainFormManager.MainForm.ShowError("Delete failed.", ex);
       }
     }
@@ -48,5 +48,5 @@
       }
       catch (Exception ex) {
-        ErrorHandling.ShowErrorDialog(this, "Delete failed.", ex);
+        MainFormManager.MainForm.ShowError("Delete failed.", ex);
       }
     }
@@ -56,5 +56,5 @@
       }
       catch (Exception ex) {
-        ErrorHandling.ShowErrorDialog(this, "Delete failed.", ex);
+        MainFormManager.MainForm.ShowError("Delete failed.", ex);
       }
     }
Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/OKBItemView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/OKBItemView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/OKBItemView.cs	(revision 13338)
@@ -78,5 +78,5 @@
       }
       catch (Exception ex) {
-        ErrorHandling.ShowErrorDialog(this, "Store failed.", ex);
+        MainFormManager.MainForm.ShowError("Store failed.", ex);
       }
     }
Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/ProblemView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/ProblemView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Administration/Views/ProblemView.cs	(revision 13338)
@@ -164,5 +164,5 @@
       }
       catch (Exception ex) {
-        ErrorHandling.ShowErrorDialog(this, "Store authorized users and groups failed.", ex);
+        MainFormManager.MainForm.ShowError("Store authorized users and groups failed.", ex);
       }
     }
@@ -223,5 +223,5 @@
         }
         catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, "Create new problem data failed.", ex);
+          MainFormManager.MainForm.ShowError("Create new problem data failed.", ex);
         }
         SetEnabledStateOfControls();
@@ -304,5 +304,5 @@
         Cursor = Cursors.Default;
         Enabled = true;
-        if (exception != null) ErrorHandling.ShowErrorDialog(this, errorMessage, exception);
+        if (exception != null) MainFormManager.MainForm.ShowError(errorMessage, exception);
         if (continueWith != null) continueWith();
       }
Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Query/Views/QueryView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Query/Views/QueryView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/Query/Views/QueryView.cs	(revision 13338)
@@ -130,6 +130,6 @@
             }
             catch (AggregateException remaining) {
-              if (remaining.InnerExceptions.Count == 1) ErrorHandling.ShowErrorDialog(this, "Refresh results failed.", remaining.InnerExceptions[0]);
-              else ErrorHandling.ShowErrorDialog(this, "Refresh results failed.", remaining);
+              if (remaining.InnerExceptions.Count == 1) MainFormManager.MainForm.ShowError("Refresh results failed.", remaining.InnerExceptions[0]);
+              else MainFormManager.MainForm.ShowError("Refresh results failed.", remaining);
             }
           }
@@ -162,5 +162,5 @@
 
     private void refreshFiltersButton_Click(object sender, EventArgs e) {
-      Content.RefreshAsync(new Action<Exception>((Exception ex) => ErrorHandling.ShowErrorDialog(this, "Refresh failed.", ex)));
+      Content.RefreshAsync(new Action<Exception>((Exception ex) => MainFormManager.MainForm.ShowError("Refresh failed.", ex)));
     }
 
Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs	(revision 13338)
@@ -252,5 +252,5 @@
         Invoke(new EventHandler<EventArgs<Exception>>(Content_ExceptionOccurred), sender, e);
       else
-        ErrorHandling.ShowErrorDialog(this, e.Value);
+        MainFormManager.MainForm.ShowError(e.Value.Message, e.Value);
     }
     #endregion
@@ -283,5 +283,5 @@
         }
         catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, ex);
+          MainFormManager.MainForm.ShowError(ex.Message, ex);
         }
       }
@@ -307,5 +307,5 @@
           }
           catch (Exception ex) {
-            Invoke(new Action(() => ErrorHandling.ShowErrorDialog(this, ex)));
+            Invoke(new Action(() => MainFormManager.MainForm.ShowError(ex.Message, ex)));
           }
           finally {
Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs	(revision 13338)
@@ -93,5 +93,5 @@
 
     private void DisplayError(Exception ex) {
-      PluginInfrastructure.ErrorHandling.ShowErrorDialog("An error occured while retrieving algorithm and problem information from the OKB.", ex);
+      MainFormManager.MainForm.ShowError("An error occured while retrieving algorithm and problem information from the OKB.", ex);
     }
 
@@ -204,5 +204,5 @@
       task.ContinueWith((t) => {
         MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().RemoveOperationProgressFromView(this);
-        PluginInfrastructure.ErrorHandling.ShowErrorDialog("An exception occured while uploading the runs to the OKB.", t.Exception);
+        MainFormManager.MainForm.ShowError("An exception occured while uploading the runs to the OKB.", t.Exception);
       }, TaskContinuationOptions.OnlyOnFaulted);
     }
Index: branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs
===================================================================
--- branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs	(revision 13332)
+++ branches/RefactorPluginInfrastructure-2522/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs	(revision 13338)
@@ -74,5 +74,5 @@
           + " Please click in the menu bar on Services -> Access -> Client Information and register your client. ", "Missing client registration", MessageBoxButtons.OK, MessageBoxIcon.Information);
       } catch (Exception ex) {
-        ErrorHandling.ShowErrorDialog(this, "Store failed.", ex);
+        MainFormManager.MainForm.ShowError("Store failed.", ex);
       }
     }
